probe::ioscheduler.elv_add_request
Prev | Chapter 9. IO Scheduler and block IO Tapset | Next

## Name

probe::ioscheduler.elv_add_request — probe to indicate request is added to the request queue.

## Synopsis

    ioscheduler.elv_add_request

## Values

`elevator_name`

  The type of I/O elevator currently enabled.

`q`

  Pointer to request queue.

`disk_major`

  Disk major no of request.

`disk_minor`

  Disk minor number of request.

`rq`

  Address of request.

`rq_flags`

  Request flags.

Prev | Up | Next
probe::ioblock_trace.request | Home | probe::ioscheduler.elv_add_request.kp